Summary


Information and guide to ensuring your computer(s) are able to run IAM Cloud’s Cloud Drive Mapper. (This is to be done before installation).



System Requirements

Cloud Driver Mapper supports the following Operating Systems:

  • Windows 7
  • Windows 8/8.1
  • Windows 10
  • Server 2008
  • Server 2012 R2
  • Server 2016

We recommend your machine is patched to the latest release levels.

The following requirements must be met for Cloud Drive Mapper to work successfully:

  • *.sharepoint.com must be added to Trusted Zones in Internet Explorer settings
  • *.iamcloud.net must be added to Local Intranet Zones in Internet Explorer settings
    • ( Only applicable when used in conjunction with the full IAM Cloud Federation Platform )


  • A minimum of .NET Framework 4.5 must be installed 
  • The WebClient service must be started – Cloud Drive Mapper auto starts this but to increase performance having it pre started may help.

Cloud Drive Mapper is also compatible with

  • Citrix
  • XenApp, 
  • XenDesktop 
  • Windows Server RDS environments 



 Prerequisites



Internet Zone Settings

The following zones are automatically adjusted on installation. However when the machine is in a domain type environment where GPOs are mostly likely in place controlling such settings, then these will need to be added to the policy to avoid them being overwritten on the next policy update. For users in NON domain workgroup environments then this is automatically adjusted on installation.

The requirements for the zone settings are as follows:


  • For GPO settings                    
    • Local Intranet Zone  = 1
    • Trusted Zone            = 2

 

Framework NET 4.5


For Cloud Drive Mapper to successfully work, at least Framework .NET 4.5 must be installed.

If you do not already have this installed it can be accessed via a Windows Update.  NET Framework should be selected from the optional downloads to install the latest version.

Or alternatively, you can use this URL: https://msdn.microsoft.com/en-us/library/5a4x27ek(v=vs.110).aspx



If you’re not too sure which .NET Framework you’re currently running, follow the steps below.

 How to check your .NET version

Run the following query as a command line :-

reg query "HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full" /v Version

OR

Press ‘Windows+R’ on your desktop or alternately click start and chose the option ‘Run’.



In the run box, type Regedit.exe to open your registry editor.

Once open, go to the following location:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full

If that location does not exist, you don’t have .NET Framework 4.5 or later.



Check for a DWORD value named Release. The existence of the Release DWORD indicates that the .NET Framework 4.5 or newer has been installed on that computer.


The value of the Release DWORD indicates which version of the .NET Framework is installed.




WebClient service

Cloud Drive Mapper will auto start the WebClient service, however to improve performance on start-up it is recommended on all workstations to configure this to running.

To confirm this in Group Policy Management

Navigate to: Computer Configuration > Preferences > Control Panel Settings > Services.

Right-click on Services and choose New > Service.



Right-click on Services and choose New > Service.




Change start-up to automatic, Enter WebClient for the service name and change service action to start service.


Select OK and ensure you link the policy to any OU’s containing users or workstations you wish to use with Cloud Drive Mapper.


For further details please review the Cloud Drive Mapper Deployment Guide